# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           mitter
Version:        0.4.5
Release:        alt1_6
Summary:        A maemo/GTK+ client for twitter

Group:          Networking/WWW
License:        GPLv3+
URL:            http://code.google.com/p/mitter/
Source0:        http://mitter.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         fedora-shebangs.patch
Patch1:         fedora-desktop.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       gnome-python2
Source44: import.info

%description

Mitter is a client for Twitter. Currently, you can use it on Linux,
Windows and OS X (running PyGTK) and on a console/terminal.

%prep
%setup -q
%patch0 -p2
%patch1 -p2

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%files
%{_bindir}/mitter
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{python_sitelibdir_noarch}/*
%doc AUTHORS COPYING THANKS

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.5-alt1_6
- initial fc import

